function [t,y] = adaptHeunSimple(f,t0,T,y0,h0,atol,rtol)

% function adaptHeunSimple
%
% Zweck: integriere die gewoehnliche Diff.-Gleichung erster Ordnung
%
%          dy/dt = f(t,y(t))
%
%        mit einem (zu?) einfachen adaptiven Heun Verfahren mit
%        Schrittweitenhalbierung-Fehlerschaetzer.
%
% Parameters: f    ... rechte Seite f(t,y(t)) der gew. Diff.-Gl.
%             t0,T ... Start- und End-Zeit
%             y0   ... Anfagswert
%             h0   ... Anfangs-Schrittweite
%             atol ... Absolute Toleranz
%             rtol ... Relative Toleranz
%
% Returns: t ... Zeiten
%          y ... approx. Loesung zu Zeiten t
%
% Notes: Keine.
%

% Initialisiere Zeit- und Loesungs-Vektor
  t = t0;
  y = y0;


% Mache Zeitschritte solange Endzeit nicht erreicht